#ifndef COMBOTOOLBUTTON_H
#define COMBOTOOLBUTTON_H

#include <QToolButton>

class ComboToolButton : public QToolButton
{
	Q_OBJECT
private:
	bool hover_on_button;
	bool hover_on_arrow;
public:
	explicit ComboToolButton(QWidget *parent = 0);
	bool event(QEvent *e);
	void paintEvent(QPaintEvent *);
signals:
	void buttonClicked();
	void arrowPressed(QPoint pos);
public slots:
	void onClicked();
};

#endif // COMBOTOOLBUTTON_H
